package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class RemunerationHeader.
 * @see sicura.entities.RemunerationHeader
 * @author Hibernate Tools
 */
@Stateless
public class RemunerationHeaderHome {

	private static final Log log = LogFactory.getLog(RemunerationHeaderHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(RemunerationHeader transientInstance) {
		log.debug("persisting RemunerationHeader instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(RemunerationHeader persistentInstance) {
		log.debug("removing RemunerationHeader instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public RemunerationHeader merge(RemunerationHeader detachedInstance) {
		log.debug("merging RemunerationHeader instance");
		try {
			RemunerationHeader result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public RemunerationHeader findById(Integer id) {
		log.debug("getting RemunerationHeader instance with id: " + id);
		try {
			RemunerationHeader instance = entityManager.find(RemunerationHeader.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
